Bug 28392 - streettype and B_streettype cannot be hidden via BorrowerUnwantedField
Summary: streettype and B_streettype cannot be hidden via BorrowerUnwantedField
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on: 22844
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-19 14:57 UTC by Lucas Gass
Modified: 2021-09-20 13:47 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.04,20.11.10


Attachments
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField (5.56 KB, patch)
2021-09-01 14:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField (5.63 KB, patch)
2021-09-01 14:38 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField (5.77 KB, patch)
2021-09-05 13:00 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-05-19 14:57:36 UTC
To recreate:

1. Add values to the AV ROADTYPE
2. Go to the BorrowerUnwantedField system preference and attempt to hide streettype and B_streettype.
3. It doesn't work, the fields still show.
Comment 1 Didier Gautheron 2021-08-31 13:58:41 UTC
Same with sort1 and sort2
Comment 2 Andrew Fuerste-Henry 2021-09-01 12:52:05 UTC
I made a separate bug for sort1 and sort2, since they're just not in these sysprefs at all. That's bug 28936.
Comment 3 Lucas Gass 2021-09-01 14:19:52 UTC
Created attachment 124370 [details] [review]
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField

To test:
1. Add values to the AV ROADTYPE
2. Go to the BorrowerUnwantedField system preference and attempt to hide streettype and B_streettype.
3. It doesn't work, the fields still show.
4. Apply patch
5. Repeat step 2, it should work now.
Comment 4 Andrew Fuerste-Henry 2021-09-01 14:38:30 UTC
Created attachment 124371 [details] [review]
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField

To test:
1. Add values to the AV ROADTYPE
2. Go to the BorrowerUnwantedField system preference and attempt to hide streettype and B_streettype.
3. It doesn't work, the fields still show.
4. Apply patch
5. Repeat step 2, it should work now.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 5 Joonas Kylmälä 2021-09-05 13:00:44 UTC
Created attachment 124515 [details] [review]
Bug 28392: make streettype and B_streettype work with BorrowerUnwantedField

To test:
1. Add values to the AV ROADTYPE
2. Go to the BorrowerUnwantedField system preference and attempt to hide streettype and B_streettype.
3. It doesn't work, the fields still show.
4. Apply patch
5. Repeat step 2, it should work now.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 6 Jonathan Druart 2021-09-09 09:00:49 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Kyle M Hall 2021-09-10 12:19:18 UTC
Pushed to 21.05.x for 21.05.04
Comment 8 Fridolin Somers 2021-09-16 08:00:10 UTC
Pushed to 20.11.x for 20.11.10
Comment 9 Victor Grousset/tuxayo 2021-09-20 13:47:50 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.